-- load standard vis module, providing parts of the Lua API
require('vis')
require('plugins/complete-word')
require('plugins/complete-filename')
require('plugins/source-file-picker')
require('plugins/dmenu-tools')

vis.events.subscribe(vis.events.INIT, function()
	-- Your global configuration options
end)

vis.events.subscribe(vis.events.WIN_OPEN, function(win)
	-- Your per window configuration options e.g.
	require('plugins/settings')
	require('plugins/keybindings')
	require('plugins/lang-specific')
end)